summaryrefslogtreecommitdiff
path: root/dev-python/pythonmagick/pythonmagick-0.9.17.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pythonmagick/pythonmagick-0.9.17.ebuild')
-rw-r--r--dev-python/pythonmagick/pythonmagick-0.9.17.ebuild62
1 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/pythonmagick/pythonmagick-0.9.17.ebuild b/dev-python/pythonmagick/pythonmagick-0.9.17.ebuild
new file mode 100644
index 000000000000..ffdccbf86538
--- /dev/null
+++ b/dev-python/pythonmagick/pythonmagick-0.9.17.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit python-r1
+
+MY_PN="PythonMagick"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python bindings for ImageMagick"
+HOMEPAGE="http://www.imagemagick.org/script/api.php"
+SRC_URI="mirror://imagemagick/python/${MY_P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-libs/boost-1.48[python,${PYTHON_USEDEP}]
+ >=media-gfx/imagemagick-6.9.1
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+ python_copy_sources
+}
+
+src_configure() {
+ python_configure() {
+ if ! python_is_python3; then
+ local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
+ fi
+ econf \
+ --disable-static \
+ --with-boost-python=boost_python-${EPYTHON#python}
+ }
+
+ python_foreach_impl run_in_build_dir python_configure
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir emake
+}
+
+src_test() {
+ python_foreach_impl run_in_build_dir emake check
+}
+
+src_install() {
+ python_foreach_impl run_in_build_dir emake DESTDIR="${D}" install
+ einstalldocs
+ find "${D}" -name '*.la' -delete || die
+}